<form [formGroup]="searchFormGroup" (ngSubmit)="onSubmit()" class="search-form">

      <mat-form-field appearance="fill" class="search-form__field">
        <mat-label>{{'last_name' | transloco}}</mat-label>
        <input matInput formControlName="lastName">
      </mat-form-field>
      <mat-form-field appearance="fill" class="search-form__field">
        <mat-label>{{'first_name' | transloco}}</mat-label>
        <input matInput formControlName="firstName">
      </mat-form-field>
      <mat-form-field appearance="fill" class="search-form__field">
        <mat-label>{{'patronymic' | transloco}}</mat-label>
        <input matInput formControlName="patronymic">
      </mat-form-field>

      <ng-container *ngIf="roles$ | async; let roles">
        <mat-form-field appearance="fill" class="search-form__field">
          <mat-label>{{'role' | transloco}}</mat-label>
          <mat-select formControlName="roleId">
            <mat-option *ngFor="let role of roles" [value]="role.id">
              {{role.name}}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </ng-container>

  <button mat-raised-button color="primary" type="submit" [disabled]="!searchFormGroup.valid">
    {{'perform_search' | transloco}}
  </button>

</form>

